Functions
Functions
BLE » Light Communication Protocol (LCP)
Collaboration diagram for Functions:

## Functions
uint16_t | gdx_lcp_init (gdx_lcp_config_t *gdx_lcp_config)
| Initialize LCP. More...
uint16_t | gdx_lcp_deinit (void)
| Deinitialize LCP. More...
uint16_t | gdx_lcp_tx_power_set (int8_t txpwr_dbm)
| Set the tx power of LCP. More...
uint16_t | gdx_lcp_tx_power_get (int8_t *txpwr_dbm)
| Get the tx power of LCP. More...
uint16_t | gdx_lcp_channel_set (uint32_t freq, uint8_t ch_idx)
| Set the channel of LCP. More...
uint16_t | gdx_lcp_channel_get (uint32_t *freq, uint8_t *ch_idx)
| Get the channel of LCP. More...
void | gdx_lcp_rate_set (bool rate)
| Set the rate of LCP. More...
bool | gdx_lcp_rate_get (void)
| Get the rate of LCP. More...
int8_t | gdx_lcp_rssi_get (void)
| Get the rssi of LCP. More...
uint16_t | gdx_lcp_data_tx (uint8_t header, uint8_t length, uint8_t *p_payload)
| Transmmit a packet. More...
uint16_t | gdx_lcp_rx_start (void)
| Start receiving packets. More...
uint16_t | gdx_lcp_rx_stop (void)
| Stop receiving packets. More...
uint16_t | gdx_lcp_access_address_set (uint32_t access_address)
| Set lcp access address. More...

## Detailed Description

## Function Documentation

## ◆ gdx_lcp_access_address_set()

uint16_t gdx_lcp_access_address_set | ( | uint32_t | access_address | ) |

Set lcp access address.

Return values

  SDK_SUCCESS | Operation is Success.

## ◆ gdx_lcp_channel_get()

uint16_t gdx_lcp_channel_get | ( | uint32_t * | freq,
|  | uint8_t * | ch_idx
| ) |  |

Get the channel of LCP.

Parameters

  [in] | freq | The value of the frequency, Range: 2360MHz to 2520MHz.
  [in] | ch_idx | The value of the channel index, Range: 0 to 39.

Return values

  SDK_SUCCESS | Operation is Success.
  SDK_ERR_POINTER_NULL | Invalid pointer supplied.

## ◆ gdx_lcp_channel_set()

uint16_t gdx_lcp_channel_set | ( | uint32_t | freq,
|  | uint8_t | ch_idx
| ) |  |

Set the channel of LCP.

Parameters

  [in] | freq | The value of the frequency, Range: 2360MHz to 2520MHz.
  [in] | ch_idx | The value of the channel index, Range: 0 to 39.

Return values

  SDK_SUCCESS | Operation is Success.
  SDK_ERR_INVALID_PARAM | Invalid parameter supplied.

## ◆ gdx_lcp_data_tx()

uint16_t gdx_lcp_data_tx | ( | uint8_t | header,
|  | uint8_t | length,
|  | uint8_t * | p_payload
| ) |  |

Transmmit a packet.

Parameters

  [in] | header | The header of the packet.
  [in] | length | The length of the packet payload.
  [in] | p_payload | The pointer of the packet payload.

Return values

  SDK_SUCCESS | Operation is Success.
  SDK_ERR_INVALID_PARAM | Invalid parameter supplied.

## ◆ gdx_lcp_deinit()

uint16_t gdx_lcp_deinit | ( | void |  | ) |

Deinitialize LCP.

Return values

  SDK_SUCCESS | The LCP is successfully Deinitialized.

## ◆ gdx_lcp_init()

uint16_t gdx_lcp_init | ( | gdx_lcp_config_t * | gdx_lcp_config | ) |

Initialize LCP.

Parameters

  [in] | gdx_lcp_config | Configure the parameter of LCP, gdx_lcp_config_t.

Return values

  SDK_SUCCESS | The LCP parameter is successfully configured.
  SDK_ERR_POINTER_NULL | Invalid pointer supplied.
  SDK_ERR_INVALID_PARAM | Invalid parameter supplied.

## ◆ gdx_lcp_rate_get()

bool gdx_lcp_rate_get | ( | void |  | ) |

Get the rate of LCP.

Return values

  ::0 | 1Mbps.
  ::1 | 2Mbps.

## ◆ gdx_lcp_rate_set()

void gdx_lcp_rate_set | ( | bool | rate | ) |

Set the rate of LCP.

Parameters

  [in] | rate | The phy rate of LCP communication. Should be called before gdx_lcp_init

Return values

  :void. |

## ◆ gdx_lcp_rssi_get()

int8_t gdx_lcp_rssi_get | ( | void |  | ) |

Get the rssi of LCP.

Return values

  ::Rssi | of current channel. Should be called after gdx_lcp_rx_start

## ◆ gdx_lcp_rx_start()

uint16_t gdx_lcp_rx_start | ( | void |  | ) |

Start receiving packets.

Return values

  SDK_SUCCESS | Operation is Success.

## ◆ gdx_lcp_rx_stop()

uint16_t gdx_lcp_rx_stop | ( | void |  | ) |

Stop receiving packets.

Return values

  SDK_SUCCESS | Operation is Success.

## ◆ gdx_lcp_tx_power_get()

uint16_t gdx_lcp_tx_power_get | ( | int8_t * | txpwr_dbm | ) |

Get the tx power of LCP.

Parameters

  [in] | txpwr_dbm | The value of the tx power, Range: -20dbm to 7dbm.

Return values

  SDK_SUCCESS | Operation is Success.
  SDK_ERR_POINTER_NULL | Invalid pointer supplied.

## ◆ gdx_lcp_tx_power_set()

uint16_t gdx_lcp_tx_power_set | ( | int8_t | txpwr_dbm | ) |

Set the tx power of LCP.

Parameters

  [in] | txpwr_dbm | The value of the tx power, Range: -20dbm to 7dbm.

Return values

  SDK_SUCCESS | Operation is Success.
  SDK_ERR_INVALID_PARAM | Invalid parameter supplied.